/*
   Copyright (C) 2007 Will Franklin

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

 */

// this file cuts out all the cm stuff. we dont need it!

#include "../qcommon/qcommon.h"
#include "../qcommon/cm_local.h"

void CM_Init( void )
{
}

void CM_Shutdown( void )
{
}

void CM_Free( cmodel_state_t *cms )
{
}

cmodel_state_t *CM_New( void )
{
	return NULL;
}

qboolean CM_HeadnodeVisible( cmodel_state_t *cms, int nodenum, qbyte *visbits )
{
	return qfalse;
}

void CM_ReadPortalState( cmodel_state_t *cms, int file )
{
}

void CM_WritePortalState( cmodel_state_t *cms, int file )
{
}

void CM_MergeAreaBits( cmodel_state_t *cms, qbyte *buffer, int area )
{
}

int CM_WriteAreaBits( cmodel_state_t *cms, qbyte *buffer, int area )
{
	return 0;
}

qboolean CM_AreasConnected( cmodel_state_t *cms, int area1, int area2 )
{
	return qfalse;
}

void CM_SetAreaPortalState( cmodel_state_t *cms, int portalnum, int area, int otherarea, qboolean open )
{
}

void CM_FloodAreaConnections( cmodel_state_t *cms )
{
}


qbyte *CM_ClusterPHS( cmodel_state_t *cms, int cluster )
{
	return NULL;
}

qbyte *CM_ClusterPVS( cmodel_state_t *cms, int cluster )
{
	return NULL;
}

dvis_t *CM_VisData( cmodel_state_t *cms )
{
	return NULL;
}

int CM_NumClusters( cmodel_state_t *cms )
{
	return 0;
}

int CM_ClusterSize( cmodel_state_t *cms )
{
	return 0;
}

void CM_CalcPHS( cmodel_state_t *cms )
{
}

int CM_LeafArea( cmodel_state_t *cms, int leafnum )
{
	return 0;
}

int CM_LeafCluster( cmodel_state_t *cms, int leafnum )
{
	return 0;
}

char *CM_EntityString( cmodel_state_t *cms )
{
	return NULL;
}

int CM_EntityStringLen( cmodel_state_t *cms )
{
	return 0;
}

const char *CM_ShaderrefName( cmodel_state_t *cms, int ref )
{
	return NULL;
}

void CM_InlineModelBounds( cmodel_state_t *cms, cmodel_t *cmodel, vec3_t mins, vec3_t maxs )
{
}

int CM_NumInlineModels( cmodel_state_t *cms )
{
	return 0;
}

cmodel_t *CM_InlineModel( cmodel_state_t *cms, int num )
{
	return NULL;
}

qboolean CM_ClientLoad( cmodel_state_t *cms )
{
	return qfalse;
}

char *CM_LoadMapMessage( char *name, char *message, int size )
{
	return NULL;
}

cmodel_t *CM_LoadMap( cmodel_state_t *cms, char *name, qboolean clientload, unsigned *checksum )
{
	return NULL;
}
